%global pypi_name jinja2
%global module_name Jinja2
%global commitId b08cd4bc64bb980df86ed2876978ae5735572280

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.1.2
Release:        1%{?dist}
Summary:        A very fast and expressive template engine

License:        BSD-3-Clause
URL:            https://github.com/pallets/jinja
Source0:        python-jinja2-b08cd4bc64bb980df86ed2876978ae5735572280.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Jinja is a fast, expressive, extensible templating engine. Special placeholders
in the template allow writing code similar to Python syntax.
Then the template is passed data to render the final document.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A very fast and expressive template engine

Requires:       python%{python3_pkgversion}-markupsafe >= 2.0

%description -n python%{python3_pkgversion}-%{pypi_name}
Jinja is a fast, expressive, extensible templating engine. Special placeholders
in the template allow writing code similar to Python syntax.
Then the template is passed data to render the final document.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 3.1.2-1
- Initial release
